function Car(imageUrl, make, model, description, price, category, year, mileage, extras)
{
    this.imageUrl = imageUrl;
    this.make = make;
    this.model = model;
    this.description = description;
    this.price = price;
    this.category = category;
    this.year = year;
    this.mileage = mileage;
    this.extras = extras;
}

Car.prototype.generateImage = function(elt)
{
    const img = document.createElement('img');
    img.src = this.imageUrl;
    img.alt = `${this.make} ${this.model}`;
    img.classList.add('card-img-top');
    elt.appendChild(img);
}

Car.prototype.generateExtras = function(elt)
{
    const ul = document.createElement('ul');
    // console.log(typeof this.extras) DEBUG
    this.extras.forEach(function(extra)
    {
        const li = document.createElement('li');
        li.textContent = `${extra.name} - ${extra.price} €`;
        ul.appendChild(li);
    });
    elt.appendChild(ul);
}

// image
// make
// model
// description
// price
// category
// year
// mileage
// extras tableau d'Extra**
